import request from '@/utils/request'

// 查询惠园贷台账信息列表
export function listAccount(query) {
    return request({
        url: '/crmHuiparkLoanAccount/findByPage',
        method: 'get',
        params: query
    })
}

// 查询惠园贷台账信息详细
export function getAccount(id) {
    return request({
        url: '/crmHuiparkLoanAccount/' + id,
        method: 'get'
    })
}

// 新增惠园贷台账信息
export function addAccount(data) {
    return request({
        url: '/crmHuiparkLoanAccount',
        method: 'post',
        data: data
    })
}

// 修改惠园贷台账信息
export function updateAccount(data) {
    return request({
        url: '/crmHuiparkLoanAccount',
        method: 'put',
        data: data
    })
}

// 删除惠园贷台账信息
export function delAccount(id) {
    return request({
        url: '/crmHuiparkLoanAccount/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delAccountBatch(ids) {
    console.log(ids);
    return request.post('/crmHuiparkLoanAccount/delete',ids)
}